package com.link.core.basic.query;

import com.link.core.util.StringUtils;
import java.io.Serializable;
import java.util.Map;

public class ExportColumn implements Comparable<ExportColumn>, Serializable {
   private String title;
   private String field;
   private Integer order;
   private String lov;
   private boolean trLovFlag = true;
   private Map<String, String> lovMap;

   public String getLovShowName(String lovCode) {
      if (this.trLovFlag && this.lovMap != null) {
         String lovName = (String)this.lovMap.get(lovCode);
         return StringUtils.isNull(lovName) ? lovCode : lovName;
      } else {
         return lovCode;
      }
   }

   public String getLov() {
      return this.lov;
   }

   public void setLov(String lov) {
      this.lov = lov;
   }

   public boolean isTrLovFlag() {
      return this.trLovFlag;
   }

   public void setTrLovFlag(boolean trLovFlag) {
      this.trLovFlag = trLovFlag;
   }

   public Map<String, String> getLovMap() {
      return this.lovMap;
   }

   public void setLovMap(Map<String, String> lovMap) {
      this.lovMap = lovMap;
   }

   public String getTitle() {
      return this.title;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public String getField() {
      return this.field;
   }

   public void setField(String field) {
      this.field = field;
   }

   public Integer getOrder() {
      return this.order;
   }

   public void setOrder(Integer order) {
      this.order = order;
   }

   public int compareTo(ExportColumn arg0) {
      return this.getOrder().compareTo(arg0.getOrder());
   }
}
